html {
  color: white;
  background: black;
  font: 16px Helvetica Neue;
}

body {
  margin: 1em 0;
}

a {
  color: inherit;
}

#contact {
  float: right;
  line-height: 2em;
  text-align: right;
}

header > h2, header > h3 {
  margin: 0;
}

header > h3 {
  font-weight: normal;
  font-size: 1em;
}

header {
  margin: 0 1em;
  padding-bottom: 0.5em;
  margin-bottom: 0.5em;
  border-bottom: 2px solid hsl(0, 0%, 40%);
}

.gallery {
  display: flex;
  flex-wrap: wrap;
}

.gallery > div {
  flex: 1 0 18em;
  box-sizing: border-box;
  padding: 0.5em 0;
}

.gallery > div > img {
  width: 100%;
  display: block;
}

.lightbox {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: black;
  transition: opacity 0.2s;
  opacity: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.lightbox:not(.visible) {
  opacity: 0;
  pointer-events: none;
}

.lightbox > img {
  transition: opacity 0.2s;
  opacity: 0;
  max-width: 100%;
  max-height: 100%;
  display: block;
}

.lightbox > img.loaded {
  opacity: 1;
}

@media (min-width: 600px) {
  .gallery {
    margin: 0 1em;
  }
  .gallery > div {
    padding: 1em;
  }
  .lightbox {
    padding: 1em;
  }
}

.picker {
  display: flex;
  max-width: 30em;
  margin: 0 auto;
  padding: 0.5em 1em;
}

.picker > a {
  flex: 1;
  text-align: center;
  border: 1px solid white;
  padding: 0.5em;
  text-decoration: none;
}

.picker > a:not(:first-child) {
  border-left-width: 0;
}

.picker > a:first-child {
  border-radius: 5px 0 0 5px;
}

.picker > a:last-child {
  border-radius: 0 5px 5px 0;
}

.picker > a.selected {
  background: white;
  color: black;
}
